LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XActivateListener Interface Referencepublished

makes it possible to receive activate events. More...

`import"XActivateListener.idl";`

Inheritance diagram for XActivateListener:

## Public Member Functions
void | windowActivated ([in] com::sun::star::lang::EventObject e)
| is invoked when a window is activated. More...
void | windowDeactivated ([in] com::sun::star::lang::EventObject e)
| is invoked when a window is deactivated. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to receive activate events.

See also
  XFocusListener
  XTopWindowListener

## Member Function Documentation

## ◆ windowActivated()

void windowActivated | ( | [in] com::sun::star::lang::EventObject | e | ) |

is invoked when a window is activated.

A window is activated if a child or itself got the focus.

See also
  XFocusListener::focusGained

## ◆ windowDeactivated()

void windowDeactivated | ( | [in] com::sun::star::lang::EventObject | e | ) |

is invoked when a window is deactivated.

A window is deactivated if a child or itself lost the focus.

See also
  XFocusListener::focusLost

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XActivateListener.idl